Bug 208311 - DRM not loading for radeon mobility x300
DRM not loading for radeon mobility x300
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-27 15:54 EDT by Steve
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-20 16:41:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg for 2.6.17-1.2187_FC5 (17.31 KB, text/plain)
2006-09-27 15:54 EDT, Steve
no flags Details
dmesg 2.6.18 kernel.org with modified Fedora 2.6.17-1.2187_FC5 config (20.37 KB, text/plain)
2006-09-27 15:56 EDT, Steve
no flags Details
.. wording in previous comment made it seem like it was included with attachment of dmesg 2.6.18 .. but here is my separate config for 2.6.18 (40.87 KB, application/octet-stream)
2006-09-27 16:00 EDT, Steve
no flags Details
dmesg for new Fedora 5 kernel (17.80 KB, text/plain)
2006-10-16 18:34 EDT, Steve
no flags Details

  None (edit)
Description Steve 2006-09-27 15:54:20 EDT
Description of problem:
I realize complete support of the mobility X series may not be complete, but the
standard Fedora kernel doesn't load it.

Version-Release number of selected component (if applicable):
kernel - 2.6.17-1.2187_FC5

How reproducible:
always

Steps to Reproduce:
1. boot computer with listed kernel
2. dmesg
3. look and see that DRM is not loaded
  
Actual results:
DRM not loading

Expected results:
DRM should load

Additional info:
I've looked through the 2.6.17-1.2187_FC5 config and
DRM is configured to load as a module, as well as the specific cards are
configured to load as a module.
However, DRM is not loading.
Is there at least a kernel arguement to over-ride this.

Normally I use a kerel with custom config .. eg I uses 2.6.18 and I built in DRM
and built in radeon .. and DRM loads.

So just wondering why with the Fedora kernel when DRM is a module is DRM is not
loading ...
ill attach dmesg's
Comment 1 Steve 2006-09-27 15:54:21 EDT
Created attachment 137244 [details]
dmesg for 2.6.17-1.2187_FC5
Comment 2 Steve 2006-09-27 15:56:44 EDT
Created attachment 137245 [details]
dmesg 2.6.18 kernel.org with modified Fedora 2.6.17-1.2187_FC5 config

if necessary, i can attach my 2.6.18 config
.. but its configed my specific computer
Comment 3 Steve 2006-09-27 16:00:07 EDT
Created attachment 137246 [details]
.. wording in previous comment made it seem like it was included with attachment of dmesg 2.6.18 .. but here is my separate config for 2.6.18
Comment 4 Dave Jones 2006-10-16 13:40:49 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Steve 2006-10-16 18:34:44 EDT
Created attachment 138632 [details]
dmesg for new Fedora 5 kernel

Kernel DRM still doesn't load for this new kernel.
Comment 6 Dave Jones 2006-10-16 18:50:19 EDT
Ok, I don't see any obvious reason that the module isn't being loaded. My only
guess is that the Xorg release in FC5 doesn't support this card ?
Comment 7 Steve 2006-10-17 12:18:26 EDT
The attachment id# 137245 I made before:
https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=137245

is a 2.6.18 kernel.org upstream I built with the DRM built in (and not as a
module as Fedora kernels have it) <attachemnt config is id#137246:>
https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=137246

Anyway kernel DRM loads without errors with the above kernel I built.
Most likely my card isn't fully supported by it but just wondering if with the
Fedora kernels, the DRM module should be loading.
Comment 8 Steve 2006-10-25 01:27:49 EDT
UPDATE:
Appears to be fixed in FC6 -- did a fresh install earlier DRM kernel loads and
DRI appears to load in X, however, i haven't even had a full day of use, so for
now consider it fixed and i'll update if necessarry
Comment 9 Michail V. 2006-10-25 10:44:58 EDT
I must say that I have just updated from FC5 to FC6 and that problem appears to
me also even though in FC5 my DRI was working perfectly. My graphic card is ATI
Mobility Radeon 9100 IGP.

from 

dmesg | grep drm 

can be seen the following:

[drm] Initialized drm 1.0.1 20051102
[drm] Initialized radeon 1.25.0 20060524 on minor 0
[drm:radeon_cp_init] *ERROR* radeon_cp_init called without lock held
[drm:drm_unlock] *ERROR* Process 3114 using kernel context 0
Comment 10 Michail V. 2006-10-25 11:16:19 EDT
sorry for the previous comments i should also add that I use the
2.6.18-1.2798.fc6 kernel for i586, something else why there are two kernels
2.6.18-1.2798.fc6 one for i586 and one for i686? The default update process
installed for me the i586 build but my laptop is a P4 - 3.2 GHz...
Comment 11 Michail V. 2006-10-25 11:17:18 EDT
for the previous comments i should also add that I use the 2.6.18-1.2798.fc6
kernel for i586, something else why there are two kernels 2.6.18-1.2798.fc6 one
for i586 and one for i686? The default update process installed for me the i586
build but my laptop is a P4 - 3.2 GHz...
Comment 12 Michail V. 2006-10-26 21:43:14 EDT
I solved this problem from me. The anaconda bug that installs the i586 kernel
instead of the i686 was the main reason. So I removed the i586 kernel and I
installed the i686 kernel. The DRM was loaded without changing anything and the
DRI is active again for the X server.

Note You need to log in before you can comment on or make changes to this bug.